Skip to main content
GET
/
resources
/
process-resource-types
List process resource types
curl --request GET \
  --url https://api.sevalla.com/v3/resources/process-resource-types \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "fb5e5168-4281-4bec-94c5-0d1584e9e657",
    "name": "s1",
    "cpu_limit": 1000,
    "memory_limit": 1024,
    "category": "standard"
  }
]

Authorizations

Authorization
string
header
required

API key authentication. Pass your API key as a Bearer token in the Authorization header.

Response

List of available process resource types

id
string<uuid>
required

Unique identifier for the process resource type

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"fb5e5168-4281-4bec-94c5-0d1584e9e657"

name
string
required

Name of the resource type (machine size)

Example:

"s1"

cpu_limit
integer
required

Maximum CPU allocation in millicores

Required range: 1 <= x <= 9007199254740991
Example:

1000

memory_limit
integer
required

Maximum memory allocation in megabytes

Required range: 1 <= x <= 9007199254740991
Example:

1024

category
enum<string>
required

Resource type category. hobby - limited resources for development and testing. standard - balanced resources for production workloads. cpuOptimized - higher CPU allocation for compute-heavy workloads. memoryOptimized - higher memory allocation for memory-heavy workloads.

Available options:
hobby,
standard,
cpuOptimized,
memoryOptimized
Example:

"standard"